<template>
    <div class="edit-directory">
      <button @click="toggleFilterForm" class="filter-button">{{ showFilterForm ? 'Закрити фільтр' : 'Фільтр' }}</button>
      <div v-if="showFilterForm" class="filter-form">
        <div v-for="(field, key) in currentDirectory" :key="key" class="input-section">
          <label>
            {{ key.charAt(0).toUpperCase() + key.slice(1) }}
            <input v-model="currentDirectory[key]" :type="typeof field === 'number' ? 'number' : 'text'" />
          </label>
        </div>
      </div>
    </div>
  </template>
  
  <script>
  import { mapActions } from 'vuex'
  
  export default {
    name: 'EditDirectory',
    data() {
      return {
        currentDirectory: {},
        showFilterForm: false,
      }
    },
    watch: {
      currentDirectory: {
        handler(newFilter) {
          this.updateFilter(newFilter);
        },
        deep: true,
      },
    },
    methods: {
      ...mapActions(['updateFilter']),
      toggleFilterForm() {
        this.showFilterForm = !this.showFilterForm;
        // При закритті форми встановлюємо пусті значення
        if (!this.showFilterForm) {
          this.currentDirectory = {};
          this.updateFilter(this.currentDirectory);
        }
      },
    },
  }
  </script>
  
  <style lang="scss" scoped>
  .edit-directory {
    max-width: 400px;
    margin: 0 auto;
  }
  
  .filter-button {
    padding: 10px 15px;
    margin-bottom: 10px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-weight: bold;
    transition: background-color 0.3s;
    background-color: #ffcc00;
    color: #333;
  }
  
  .filter-button:hover {
    background-color: #ffdb4d;
  }
  
  .input-section {
    margin-bottom: 20px;
  }
  
  label {
    display: block;
    font-weight: bold;
    margin-bottom: 5px;
  }
  
  input {
    width: 100%;
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 4px;
  }
  </style>
  